0 Replies Latest reply on Oct 7, 2010 5:41 AM by nimo stephan

    rf 4, servlet api 3, web.xml

    nimo stephan Master

      does rf 4 makes use of servlet-api 3.0 ?

       

      Should I adapt my web.xml to version 3.0 or should I leave it in 2.5?

       

      {code}

      <web-app version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="
            http://java.sun.com/xml/ns/javaee
            http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">

      {code}

       

      or

       

      {code}

      <web-app version="3.0" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

      xsi:schemaLocation="

            http://java.sun.com/xml/ns/javaee
            http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">

      {code}

       

      what about fragments in web.xml. I guess, I do not have to include richfaces filerts or listeners as rf internally uses web.xml version 3. Am I right?